<p align="center">
	<img width=100% src="https://user-images.githubusercontent.com/4650739/35486122-1ec10468-042f-11e8-960b-8e72ad203fdf.png" />

</p>

<h1 align="center">Wave Jump</h1>

Wave Jump is a 80's arcade inspired multiplayer game where you've got to be lightening fast to beat your friend to the finish.

Ride a bolt of electricity in a slick retro-futuristic sunset world with your friend. Put your reflexes to the test as your race to catch the final cyber portal first.

You've been warned. This game will make your brain melt.

You can play Wave Jump for free today: [https://wave-jump.herokuapp.com/](https://wave-jump.herokuapp.com/)

## Setup
To use this game you’ll need to install a few things before you have a working copy of the project.

### 1. Clone this repo:

Navigate into your workspace directory.

Run:

```bash
git clone git@github.com:JoeKarlsson/wave-jump.git
```

### 2. Install node.js and npm:

[nodejs.org/](https://nodejs.org/en/)


### 3. Install dependencies:

Navigate to the cloned repo’s directory.

Run:

```bash
npm install
```

## 4. Run the development server:

Run:

```bash
npm start
```

This will run a server so you can run the game in a browser.

Open your browser and enter [localhost:3000](http://localhost:3000/) into the address bar.

Also this will start a watch process, so you can change the source and the process will recompile and refresh the browser


## Build for deployment:

Run:
```bash
npm run deploy
```

This will optimize and minimize the compiled bundle and generate the index.html.

## Technologies Used:

*  ES6 JavaScript
*  [Phaser.io](https://phaser.io/)

## Contributing

1.  Fork it!
1.  Create your feature branch: git checkout -b my-new-feature
1.  Commit your changes: git commit -am 'Add some feature'
1.  Push to the branch: git push origin my-new-feature
1.  Submit a pull request :D

## Contributors

This game was created for the [Global Game Jam 2018](http://globalgamejam.org/) over 48 hours on January 26 - 28, 2018 in Minneapolis, MN.

![wave_jump_team_photo](https://user-images.githubusercontent.com/4650739/35485808-4e223b96-042a-11e8-9bad-c3516f8939c2.jpg)

<table>
  <tbody>
    <tr>
      <td align="center">
        <img width="150 height="150"
        src="https://avatars.githubusercontent.com/JoeKarlsson?v=3">
        <br />
        <a href="https://github.com/JoeKarlsson">Joe Karlsson</a>
      </td>
      <td align="center">
        <img width="150 height="150"
        src="https://avatars.githubusercontent.com/calcarlson?v=3">
        <br />
        <a href="https://github.com/calcarlson">Cal Carlson</a>
      </td>
      <td align="center">
        <img width="150 height="150"
        src="https://avatars.githubusercontent.com/Danielwbolson?v=3">
        <br />
        <a href="https://github.com/Danielwbolson">Daniel Olson</a>
      </td>
      <td align="center">
        <img width="150 height="150"
        src="https://avatars.githubusercontent.com/lisamabley?v=3">
        <br />
        <a href="https://github.com/lisamabley">Lisa Mabley</a>
      </td>
    <tr>
  <tbody>
</table>

Original music and sounds by [Andrew Hill](https://www.origin414.com/andrew-hill)

### License

#### [MIT](https://github.com/JoeKarlsson/wave-jump/blob/develop/LICENSE)
